ASSETS
List Assets
List monitored assets in your tenant scope
GET
/
v1
/
assets
List assets
curl --request GET \
--url https://api.intrace.ai/v1/assets \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.intrace.ai/v1/assets"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.intrace.ai/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_id": "<string>",
"type": "<string>",
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"role": "<string>",
"attributes": {
"lat": 123,
"lng": 123,
"address": "<string>",
"country": "<string>",
"monitoring_radius_km": 123
},
"threat_config": {
"enabled": true,
"alert_classes": [],
"custom_instructions": "<string>",
"monitored_event_types": [
"<string>"
],
"lookback_days": 45
},
"physical_threat_config": {
"enabled": true,
"alert_classes": [],
"custom_instructions": "<string>",
"monitored_event_types": [
"<string>"
],
"max_age_hours_by_category": {}
}
}
]
}Returns assets available to the API key.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
status | string | No | Filter by asset status, for example active |
type | string | No | Filter by asset type, for example facility or residence |
Response
{
"assets": [
{
"id": "9b6d94f3-c8f1-4693-bf17-9d2bf54a3d7e",
"assetId": "lagos-hq",
"type": "facility",
"name": "Lagos HQ",
"role": "head_office",
"status": "active",
"attributes": {
"lat": 6.4541,
"lng": 3.3947,
"address": "Victoria Island, Lagos",
"country": "NG",
"monitoringRadiusKm": 12
},
"threatConfig": {
"enabled": true,
"lookbackDays": 30
},
"physicalThreatConfig": {
"enabled": true
},
"createdAt": "2026-04-18T10:00:00Z",
"updatedAt": "2026-04-18T10:00:00Z"
}
]
}
Example Request
curl -H "X-API-Key: your-api-key" "https://api.intrace.ai/v1/assets?type=facility&status=active"
⌘I
List assets
